class LearningObjectBuilder

  def self.build_from_dspace(item)
    lo = LearningObject.new(
      name: item.name,
      id_dspace: item.id,
      thumbnail: nil,
      metadata: item.metadata.map(&:to_h)
    )

    institution = lo.get_metadata_values_of('dc.creator').first
    institution = 'Desconhecido' if institution.blank?
    lo.publisher = Institution.where(name: institution).first_or_create

    object_type = lo.get_metadata_value_of('dc.type')
    object_type = 'Desconhecido' if object_type.blank?
    lo.object_type = ObjectType.where(name: object_type).first_or_create

    date = lo.get_metadata_value_of('dc.date.issued')
    lo.published_at = Time.iso8601(date) unless date.nil?

    lo.language = Language.where(code: lo.get_metadata_value_of('dc.language')).first_or_create
    lo.author = lo.get_metadata_values_of('dc.contributor.author').join(', ')
    lo.description = lo.get_metadata_value_of('dc.description')

    lo
  end

end
