module Followable
  extend ActiveSupport::Concern

  included do
    has_many :follows, as: :followable, dependent: :destroy
  end

  def follow(user)
    Follow.create(user: user, followable: self)
  end

  def unfollow(user)
    Follow.where(user: user, followable: self).destroy_all
  end

  def following?(followable)
    !follows.where(followable_id: followable.id, followable_type: followable.class.name).blank?
  end

end
